SVNLocationSegment (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.SVNLocationSegment class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Class SVNLocationSegment

    java.lang.Object
      org.tmatesoft.svn.core.io.SVNLocationSegment

public class SVNLocationSegment
extends Object

The SVNLocationSegment is a representation of a segment of an object's version history with an emphasis on the object's location in the repository as of various revisions.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNLocationSegment(long startRevision, long endRevision, String path)` Creates a new `SVNLocationSegment` object.

Method Summary
`long` | `getEndRevision()` Returns the ending (youngest) revision of this segment.
`String` | `getPath()` Returns the absolute repository path.
`long` | `getStartRevision()` Returns the beginning (oldest) revision of this segment.
`void` | `setEndRevision(long endRevision)` Sets the end revision of the segment.
`void` | `setStartRevision(long startRevision)` Sets the start revision of the segment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNLocationSegment

    public SVNLocationSegment(long startRevision,
                              long endRevision,
                              String path)

  Creates a new `SVNLocationSegment` object.

  `path` may be null to indicate gaps in an object's history.

Parameters:
  `startRevision` - revision start of the location segment
  `endRevision` - revision end of the location segment
  `path` - absolute (with leading slash) path for this segment

Method Detail

### getPath

    public String getPath()

  Returns the absolute repository path.

  This may be null to indicate gaps in an object's history.

  Returns:
    absolute (with leading slash) path for this segment

### getStartRevision

    public long getStartRevision()

  Returns the beginning (oldest) revision of this segment.

  Returns:
    beginning revision of the segment

### getEndRevision

    public long getEndRevision()

  Returns the ending (youngest) revision of this segment.

  Returns:
    ending revision of the segment

### setStartRevision

    public void setStartRevision(long startRevision)

  Sets the start revision of the segment.

  Note: this method is not intended for API users.

  Parameters:
    `startRevision` - start segment revision

### setEndRevision

    public void setEndRevision(long endRevision)

  Sets the end revision of the segment.

  Note: this method is not intended for API users.

  Parameters:
    `endRevision` - end segment revision

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.